Subject: Re: bug#33038: [PATCH 3/6] bootstrap: Add %bootstrap-mes.

From: Marius Bakke <[email-masked]>
Date: Wed, 24 Oct 2018 18:18:30 +0200

Hello!

Jan Nieuwenhuizen <[email-masked]> writes:

> Jan Nieuwenhuizen writes:
>
>>> Anyway LGTM modulo maybe one rebuild and commit log tweak.
>>
>> Great, once everything builds I'll update core-updates-next on savannah,
>> ping this bug and close it.  Otherwise...oh well.
>
> Did those, pushed to core-updates-next as
>
>     d0bb7ed61ed9e356c53de1a8e9bd6c2ec030ffb6
>     doc: Update Preparing to Use the Bootstrap Binaries.
>
> Marius has a couple of patches on his wip-gcc7 branch that we may
> already want to include in core-updates-next too, but I'll leave that to
> him.
>
> --8<---------------cut here---------------start------------->8---
> bc05a8a9d gnu: Remove duplicate linux-libre-headers package from bootstrap inputs.
> c697fdfc1 gnu: gcc-boot0: Improve gcc-wrapper workarounds.
> 7c1ddb3a4 gnu: libstdc++-boot0: Improve gcc-wrapper workaround.
> 60111ea82 gnu: Remove gcc-for-libstdc++.
> --8<---------------cut here---------------end--------------->8---

These fixes are purely cosmetic, but feel free to include them.  I hope
to merge the full branch before core-updates-next is started in a month
or two, so they'll get there eventually.

> I think that I'm "done" here, there's the `put new bootstrap binaries on
> ftp.gnu.org/pub/guix/...', are you taking care of that?

Is it possible to generate these somehow?  The mirror at lilypond.org is
serving me the wrong tarball:

building /gnu/store/r9589sgf0d3hxcxg7vi3i5apnx3wcx76-mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz.drv...
Starting download of /gnu/store/z1yrpzja9sivpi138xyjwxax575d7x4j-mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz
From http://lilypond.org/janneke/mes/mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz...
downloading from http://lilypond.org/janneke/mes/mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz...
 mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz  550KiB 739KiB/s 00:01 [##################] 100.0%
sha256 hash mismatch for /gnu/store/z1yrpzja9sivpi138xyjwxax575d7x4j-mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz:
  expected hash: 1yhxqf1sm67gwjbkkc26m4lcscvpjfmi71bzy8rhysal4lcj1vc8
  actual hash:   1lq4w6s5nqfxsffk0smg7cyrqnjls70kwwllbv8gzsjqjx4q3f2b
hash mismatch for store item '/gnu/store/z1yrpzja9sivpi138xyjwxax575d7x4j-mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz'
build of /gnu/store/r9589sgf0d3hxcxg7vi3i5apnx3wcx76-mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz.drv failed